<?php

/*
 * QuickTalk Guestbook
 *
 * PHP versions 4 and 5
 *
 * LICENSE: This source file is subject to version 3.0 of the PHP license
 * that is available through the world-wide-web at the following URI:
 * http://www.php.net/license.  If you did not receive a copy of
 * the PHP License and are unable to obtain it through the web, please
 * send a note to license@php.net so we can mail you a copy immediately.
 *
 * @category   Guestbook
 * @package    QuickTalk Guestbook
 * @author     Philippe Vandenberghe <info@qt-cute.org>
 * @copyright  2007-2009 The PHP Group
 * @license    http://www.php.net/license  PHP License 3.0
 * @version    1.6 build:20080227
 * @link       http://www.qt-cute/doc/package/qtg
 * @since      File available since Release 1.0.0
 * @deprecated File deprecated in Release 2.0.0
 *
 */

session_start();
$pg_name = 'Delete';

// CHECK LOGIN

if ( !isset($_SESSION['qtgAuth']) ) header('Location: login.php');
if ( $_SESSION['qtgAuth']!='yes' ) header('Location: login.php');

require_once('bin/qtg_init.php');
include($qtg_language.'/qtg_lang_adm.php');
$qtg_skin = 'admin';

// INI

$FFname = '';
$FFage  = '';
$FFfrom = '';
$FFmail = '';
$FFmsg  = '';
$FFcode = '';

// --------
// HTML START
// --------

include('qtg_p_header.php');
include('qtg_adm_menu.php');

if (!isset($_GET['id']))
{
  echo 'No id...<br/>',$back_adm;
  include('qtg_p_footer.php');
  exit;
}
if (isset($_GET['do']))
{
  if ($_GET['do']=='delete')
  {
    $oDB->Query('DELETE FROM '.TABMESSAGE.' WHERE id='.$_GET['id']);
    echo '<h1>',$L['Message_deleted'],'</h1>';
    echo '
    <a id="exiturl" href="qtg_adm_msg.php">',$L['Messages'],'</a>
    <script type="text/javascript">
    <!--
    setTimeout(\'window.location=document.getElementById("exiturl").href\',1000);
    -->
    </script>
    ';
    include('qtg_p_footer.php');
    exit;
  }
}

echo '<h1>',$L[$pg_name],'</h1>';

// QUERY
if ( $oDB->type=='ibase' ) 
{
$oDB->Query('SELECT id,name,userage,useremail,postfrom,postdate,textmsg FROM '.TABMESSAGE.' WHERE id='.$_GET['id']);
}
else
{
$oDB->Query('SELECT id,name,userage,useremail,postfrom,postdate,message FROM '.TABMESSAGE.' WHERE id='.$_GET['id']);
}
$row = $oDB->Getrow();
$msg = new cPost($row,$oDB);

$bbc = array($qtg_bbc_bold,$qtg_bbc_italic,$qtg_bbc_underline,$qtg_bbc_url,$qtg_bbc_smiley);

include('qtg_msg_msg.php');

echo '
<table cellspacing="0" class="tab_button" style="width:200px;">
<tr>
<td class="td_button"><a href="qtg_adm_del.php?id=',$_GET['id'],'&amp;do=delete"><b>',$L['Delete'],' !</b></a></td>
</tr>
</table>
';

// --------
// HTML END
// --------

include('qtg_p_footer.php');

?>