<?php

// QuickTalk 1.6 build:20080227

// -----------------
// Connexion config
// -----------------
require_once('bin/config.php');
require_once('bin/config_display.php');
require_once('bin/config_stop.php');

  // special demo
  if (isset($_SESSION['qtg_skin'])) $qtg_skin = $_SESSION['qtg_skin'];
  if (isset($_SESSION['qtg_language'])) $qtg_language = $_SESSION['qtg_language'];
  if (isset($_SESSION['qtg_width'])) $qtg_pagewidth = $_SESSION['qtg_width'];
  if (isset($_SESSION['qtg_welcome'])) $qtg_welcome = $_SESSION['qtg_welcome'];
  if (isset($_SESSION['qtg_separateform'])) $qtg_separateform = $_SESSION['qtg_separateform'];
  if (isset($_SESSION['qtg_use_age'])) $qtg_use_age = $_SESSION['qtg_use_age'];
  if (isset($_SESSION['qtg_use_email'])) $qtg_use_email = $_SESSION['qtg_use_email'];
  if (isset($_SESSION['qtg_use_from'])) $qtg_use_from = $_SESSION['qtg_use_from'];

if ( substr($qtg_skin,0,5)!='skin/' ) $qtg_skin = 'skin/'.$qtg_skin;
if ( substr($qtg_language,0,9)!='language/' ) $qtg_language = 'language/'.$qtg_language;

// -----------------
// System constants (this CANNOT be changed by webmasters)
// -----------------
define('TABMESSAGE', $qtg_prefix.'qtgmessage');
define('QTGVERSION', '1.6');
define('QSEL', ' selected="selected"');
define('QCHE', ' checked="checked"');
define('N', "\n");
define('S', '&nbsp;');

// -----------------
// Function constants (this can be changed by webmasters)
// -----------------
define('MENUSEPARATOR', '&nbsp;|&nbsp;');
define('EMAILSEPARATOR', '&nbsp;'); // use space (or <br> to get the logo on the next line)
define('CONVERT_AMP', FALSE);
  // convert & to &amp; before saving in the db (make impossible to insert symbols)
define('SMARTCUT', 4);
  // Smartcut is a tolerance value (0-9) while truncating long messages.
  // Value 0 will truncate at the exact specified length.
  // Value N>0 will truncate with following advantages:
  // * truncate can preverse up to N characters if the total length is within this tolerance.
  // * truncate will take place after the characters ,;:.)]}!? when these characters are just on the truncate position.
   
// -----------------
// Classes and functions
// -----------------
require_once('bin/qt_lib_db.php');
require_once('bin/qt_lib_txt.php');
require_once('bin/qtg_class_post.php');
require_once('bin/qtg_fn_common.php');

// -----------------
//  Installation wizard (if file exists)
// -----------------
if ( !isset($qtg_install) ) $qtg_install='';
if ( empty($qtg_install) )
{
  if ( file_exists('install/index.php') )
  {
  echo 'QuickTalk ',QTGVERSION,' <a href="install/index.php">starting installation</a>...';
  header('Refresh: 0; URL=install/index.php');
  exit;
  }
}

// CHECK SETTING

Foreach (Array('qtg_dbsystem','qtg_host','qtg_database','qtg_prefix','qtg_port','qtg_dsn','qtg_user','qtg_pwd','qtg_user_2','qtg_pwd_2') as $Variable)
{
  if ( !isset($$Variable) ) echo $Variable.' not defined check the file bin/config.php...';
}

if ( $qtg_dbsystem=='' ) die ('wrong qtg_dbsystem in file bin/config.php');
if ( trim($qtg_dbsystem)!=$qtg_dbsystem ) die ('wrong qtg_dbsystem in file bin/config.php');
if ( $qtg_page_size<1 )   { echo 'posts_per_page invalid (1-100)'; $qtg_page_size=10; }
if ( $qtg_page_size>100 ) { echo 'posts_per_page invalid (1-100)'; $qtg_page_size=10; }

// ----------------
// INITIALIASE Classes and Variable
// ----------------
$oDB  = new cDB($qtg_dbsystem,$qtg_host,$qtg_database,$qtg_user,$qtg_pwd,$qtg_port,$qtg_dsn);
if ( !empty($oDB->error) ) die ('<p><font color="red">Connection with database failed.<br/>Please contact the webmaster for further information.</font></p><p>The webmaster must check that server is up and running, and that the settings in the config file are correct for the database.</p>');

$qtg_error = ''; // Required when server uses register_global_on
$currentpage = 1;

include($qtg_language.'/qtg_lang_main.php');

switch($qtg_dbsystem)
{
case 'sqlite':$arrQTdate = array('n','todaytime',$qtg_formatdate,$qtg_formattime,$L['dateSQL']); break;
case 'oci':   $arrQTdate = array('n','todaytime',$qtg_formatdate,$qtg_formattime,$L['dateSQL']); break;
default:      $arrQTdate = array('s','todaytime',$qtg_formatdate,$qtg_formattime,$L['dateSQL']); break;
}
$arrQTbbc = array($qtg_bbc_bold,$qtg_bbc_italic,$qtg_bbc_underline,$qtg_bbc_url,$qtg_bbc_smiley);

$qtg_back='<table class="tab_button" cellspacing="0"><tr class="tr_button"><td class="td_button"><a id="exiturl" class="linkbutton" href="qtg_index.php">'.$L['Return_guestbook'].'</a></td></tr></table>';

?>