<?php

/*
 * QuickTalk Guestbook
 *
 * PHP versions 4 and 5
 *
 * LICENSE: This source file is subject to version 3.0 of the PHP license
 * that is available through the world-wide-web at the following URI:
 * http://www.php.net/license.  If you did not receive a copy of
 * the PHP License and are unable to obtain it through the web, please
 * send a note to license@php.net so we can mail you a copy immediately.
 *
 * @category   Guestbook
 * @package    QuickTalk Guestbook
 * @author     Philippe Vandenberghe <info@qt-cute.org>
 * @copyright  2007-2009 The PHP Group
 * @license    http://www.php.net/license  PHP License 3.0
 * @version    1.6 build:20080227
 * @link       http://www.qt-cute/doc/package/qtg
 * @since      File available since Release 1.0.0
 * @deprecated File deprecated in Release 2.0.0
 *
 */

session_start();
$pg_name = 'Edit';

// CHECK LOGIN

if ( !isset($_SESSION['qtgAuth']) ) header('Location: login.php');
if ( $_SESSION['qtgAuth']!='yes' ) header('Location: login.php');

require_once('bin/qtg_init.php');
include($qtg_language.'/qtg_lang_adm.php');
$qtg_skin = 'admin';

// INI

$FFname = '';
$FFage  = '';
$FFfrom = '';
$FFmail = '';
$FFmsg  = '';
$FFcode = '';

// --------
// HTML START
// --------

include('qtg_p_header.php');
include('qtg_adm_menu.php');

if ( !isset($_GET['id']) )
{
  echo 'No id...<br/>'.$back_adm;
  include('qtg_p_footer.php');
  exit;
}

echo "<h1>{$L[$pg_name]}</h1>\n";

// query
if ( $oDB->type=='ibase' ) 
{
$oDB->Query("SELECT id,name,userage,useremail,postfrom,textmsg FROM ".TABMESSAGE." WHERE id=".$_GET['id']);
}
else
{
$oDB->Query("SELECT id,name,userage,useremail,postfrom,message FROM ".TABMESSAGE." WHERE id=".$_GET['id']);
}
$row = $oDB->Getrow();
$msg = new cPost($row,$oDB);

$FFid = $msg->id;
$FFname = $msg->name;
$FFmsg = $msg->message;
$FFage = $msg->userage;
$FFfrom = $msg->postfrom;
$FFmail = $msg->useremail;

$qtg_use_age=true;
$qtg_use_from=true;
$qtg_use_from_type=0;
$qtg_use_email=true;
$qtg_bbc_bold=true ;
$qtg_bbc_italic=true;
$qtg_bbc_underline=true;
$qtg_bbc_url=true;

$formaction = 'qtg_msg_edit_exe.php';
include('qtg_form_msg.php');

// --------
// HTML END
// --------

include('qtg_p_footer.php');

?>