<?php

/*
 * QuickTalk Guestbook
 *
 * PHP versions 4 and 5
 *
 * LICENSE: This source file is subject to version 3.0 of the PHP license
 * that is available through the world-wide-web at the following URI:
 * http://www.php.net/license.  If you did not receive a copy of
 * the PHP License and are unable to obtain it through the web, please
 * send a note to license@php.net so we can mail you a copy immediately.
 *
 * @category   Guestbook
 * @package    QuickTalk Guestbook
 * @author     Philippe Vandenberghe <info@qt-cute.org>
 * @copyright  2007-2009 The PHP Group
 * @license    http://www.php.net/license  PHP License 3.0
 * @version    1.6 build:20080227
 * @link       http://www.qt-cute/doc/package/qtg
 * @since      File available since Release 1.0.0
 * @deprecated File deprecated in Release 2.0.0
 *
 */

session_start();

require_once('bin/qtg_init.php');

// --------
// HTML START
// --------

include('qtg_p_header.php');
echo '
<div id="msg_add">
';

if ( (!isset($_GET['id'])) or (!isset($_GET['ip'])) )
{
  echo 'No id/ip...<br/>'.$qtg_back; 
  include('qtg_p_footer.php');
  exit;
}

// QUERY

$query = 'SELECT * FROM '.TABMESSAGE.' WHERE id='.$_GET['id'];
$oDB->Query($query);
$row = $oDB->Getrow();

$msg = new cPost($row);

// CHECK USER AND TIME

if ( $_SERVER['REMOTE_ADDR']!=$oDB->ip )
{
  echo 'This is not your message...<br/>'.$qtg_back; 
  include('qtg_p_footer.php');
  exit;
}
if ( !isset($_SESSION['qtg_beginedit']) || !isset($_SESSION['qtg_endedit']) )
{
  echo 'Out of time...<br/>'.$qtg_back;
  include('qtg_p_footer.php');
  exit;
}
if ( time()+0>$_SESSION['qtg_endedit'] )
{
  echo 'Out of time...<br/>'.$qtg_back;
  include('qtg_p_footer.php');
  exit;
}

// EXECUTE

$oDB->Query('DELETE FROM '.TABMESSAGE.' WHERE id='.$_GET['id']);

echo '<h1>',$L['Message_deleted'],'</h1>';
echo $qtg_back;
echo '
<script type="text/javascript">
<!--
setTimeout(\'window.location=document.getElementById("exiturl").href\',3000);
-->
</script>
';

// --------
// HTML END
// --------

echo '</div>';
include('qtg_p_footer.php');

?>